Name:           python-pyface
Version:        4.3.0
Release:        4%{?dist}
Summary:        Generic User Interface objects

# Images have different licenses. For image license breakdown check
# image_LICENSE.txt file.
License:        BSD and EPL and LGPLv2 and Public Domain
URL:            http://code.enthought.com/projects/traits_ui/
Source0:        http://www.enthought.com/repo/ets/pyface-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-traits

Requires:       python-traits
Requires:       %{name}-backend

%description
Pyface enables programmers to interact with generic UI objects, such as
an "MDI Application Window", rather than with raw UI widgets. (Pyface is
named by analogy to JFace in Java.) Traits uses Pyface to implement
views and editors for displaying and editing Traits-based objects.


%package doc
Summary:        Documentation for pyface

%description doc
Documentation and examples for pyface.


%package qt
Summary:        Qt backend placeholder for pyface
Requires:       %{name} = %{version}-%{release}
Requires:       PyQt4
Provides:       %{name}-backend

%description qt
Qt backend placeholder for pyface.


%package wx
Summary:        wx backend placeholder for pyface
Requires:       %{name} = %{version}-%{release}
Requires:       wxPython
Provides:       %{name}-backend

%description wx
wx backend placeholder for pyface.


%prep
%setup -q -n pyface-%{version}
# file not utf-8
for f in image_LICENSE_{Eclipse,OOo}.txt
do
  iconv -f iso8859-1 -t utf-8 ${f} > ${f}.conv && mv -f ${f}.conv ${f}
done


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
%{__python} setup.py test

 
%files
%doc *.txt README.rst 
%{python_sitelib}/pyface/
%{python_sitelib}/pyface-%{version}-*.egg-info/

%files doc
%doc *.txt docs examples

%files qt

%files wx


%changelog
* Mon Sep 16 2013 Orion Poplawski <orion@cora.nwra.com> - 4.3.0-4
- Create dummy backend packages to express dependencies

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Orion Poplawski <orion@cora.nwra.com> - 4.3.0-2
- Fix non-UTF-8 files
- Add doc sub-package
- Be more explicit with files

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> - 4.3.0-1
- Initial package
